Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpsf
Class IllegalPropertySetDataException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hpsf.HPSFRuntimeException
                      org.apache.poi.hpsf.IllegalPropertySetDataException

All Implemented Interfaces:
  java.io.Serializable

    public class IllegalPropertySetDataException

extends HPSFRuntimeException

This exception is thrown when there is an illegal value set in a `PropertySet`. For example, a `Variant.VT_BOOL` must have a value of `-1 (true)` or `0 (false)`. Any other value would trigger this exception. It supports a nested "reason" throwable, i.e. an exception that caused this one to be thrown.

Author:
  Drew Varner(Drew.Varner atDomain sc.edu)
See Also:
  Serialized Form

Constructor Summary
`IllegalPropertySetDataException()` Constructor
`IllegalPropertySetDataException(java.lang.String msg)` Constructor
`IllegalPropertySetDataException(java.lang.String msg, java.lang.Throwable reason)` Constructor
`IllegalPropertySetDataException(java.lang.Throwable reason)` Constructor

Method Summary

Methods inherited from class org.apache.poi.hpsf.HPSFRuntimeException
`getReason, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalPropertySetDataException

    public IllegalPropertySetDataException()

  Constructor

### IllegalPropertySetDataException

    public IllegalPropertySetDataException(java.lang.String msg)

  Constructor

  Parameters:
    `msg` - The exception's message string

### IllegalPropertySetDataException

    public IllegalPropertySetDataException(java.lang.Throwable reason)

  Constructor

  Parameters:
    `reason` - This exception's underlying reason

### IllegalPropertySetDataException

    public IllegalPropertySetDataException(java.lang.String msg,
                                           java.lang.Throwable reason)

  Constructor

  Parameters:
    `msg` - The exception's message string
    `reason` - This exception's underlying reason

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD